---
title: Window.onvrdisplayfocus
slug: Web/API/Window/onvrdisplayfocus
tags:
  - API
  - Event Handler
  - Experimental
  - Property
  - Reference
  - VR
  - Virtual Reality
  - WebVR
  - Window
  - events
  - onvrdisplayfocus
---
<div>{{DefaultAPISidebar("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onvrdisplayfocus</code></strong> property of the {{domxref("Window")}} interface represents an event handler that will run when presentation to a display has resumed after being blurred (when the {{event("vrdisplayfocus")}} event fires).</p>

<p>The event object is of type {{domxref("VRDisplayEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.onvrdisplayfocus = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.onvrdisplayfocus = function() {
  info.textContent = 'Display focused.';
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-window-onvrdisplayfocus', 'onvrdisplayfocus')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onvrdisplayfocus")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
